compact1, compact2, compact3
java.util.concurrent

## Class ThreadPoolExecutor.AbortPolicy

- java.lang.Object
- - java.util.concurrent.ThreadPoolExecutor.AbortPolicy

- All Implemented Interfaces:
    RejectedExecutionHandler
  Enclosing class:
    ThreadPoolExecutor

      public static class ThreadPoolExecutor.AbortPolicy
      extends Object
      implements RejectedExecutionHandler

  A handler for rejected tasks that throws a `RejectedExecutionException`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortPolicy()` | Creates an `AbortPolicy`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `rejectedExecution(Runnable r, ThreadPoolExecutor e)` | Always throws RejectedExecutionException.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortPolicy

          public AbortPolicy()

      Creates an `AbortPolicy`.

  - ### Method Detail

    - #### rejectedExecution

          public void rejectedExecution(Runnable r,
                                        ThreadPoolExecutor e)

      Always throws RejectedExecutionException.
      Specified by:
        `rejectedExecution` in interface `RejectedExecutionHandler`
      Parameters:
        `r` - the runnable task requested to be executed
        `e` - the executor attempting to execute this task
      Throws:
        `RejectedExecutionException` - always

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.